# frozen_string_literal: true

module FormElements
  class FieldsetComponent < ViewComponent::Base
    def initialize(tag: "li", positioning: :vertical,
                   title:, description: nil,
                   field_name: nil, resettable: false)
      @tag         = tag
      @positioning = positioning
      @title       = title
      @descripton  = description
      @field_name  = field_name
      @resettable  = resettable
    end
  end
end
